# services/monitoring/grafana-folders.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: grafana-folders
  labels:
    app.kubernetes.io/name: grafana
    app.kubernetes.io/component: folders
data:
  folders.yaml: |
    apiVersion: 1
    folders:
      - uid: overview
        title: Overview
        permissions:
          - role: Viewer
            permission: View
          - role: Editor
            permission: Edit
          - role: Admin
            permission: Admin
      - uid: atlas-public
        title: Atlas Public
        permissions:
          - role: Viewer
            permission: View
          - role: Editor
            permission: Edit
          - role: Admin
            permission: Admin
      - uid: atlas-internal
        title: Atlas Internal
        permissions:
          - role: Editor
            permission: View
          - role: Admin
            permission: Admin
      - uid: oceanus-internal
        title: Oceanus Internal
        permissions:
          - role: Editor
            permission: View
          - role: Admin
            permission: Admin
